package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisHachDelMapper;
import com.goldenwater.slaj.hazard.domain.BisHachDel;
import com.goldenwater.slaj.hazard.service.IBisHachDelService;

/**
 * 危化品出库 服务层实现
 */
@Service
public class BisHachDelServiceImpl implements IBisHachDelService {

    @Autowired
    private BisHachDelMapper bisHachDelMapper;

    /**
     * 查询危化品出库信息
     * @param guid 查询条件
     * @return 危化品出库信息
     */
    @Override
    public BisHachDel selectBisHachDelByGuid(String guid) {
        return bisHachDelMapper.selectBisHachDelByGuid(guid);
    }

    /**
     * 查询危化品出库列表
     * @param bisHachDel 危化品出库查询条件
     * @return 危化品出库集合
     */
    @Override
    public List<BisHachDel> selectBisHachDelList(BisHachDel bisHachDel) {
        return bisHachDelMapper.selectBisHachDelList(bisHachDel);
    }

    /**
     * 新增危化品出库
     * @param bisHachDel 危化品出库信息
     * @return 影响行数
     */
    @Override
    public int insertBisHachDel(BisHachDel bisHachDel) {
        return bisHachDelMapper.insertBisHachDel(bisHachDel);
    }

    /**
     * 修改危化品出库
     * @param bisHachDel 危化品出库信息
     * @return 影响行数
     */
    @Override
    public int updateBisHachDel(BisHachDel bisHachDel) {
        return bisHachDelMapper.updateBisHachDel(bisHachDel);
    }

    /**
     * 删除危化品出库
     * @param guid 危化品出库主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHachDelByGuid(String guid) {
        return bisHachDelMapper.deleteBisHachDelByGuid(guid);
    }

    /**
     * 批量删除危化品出库
     * @param guids 危化品出库主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHachDelByGuids(String[] guids) {
        return bisHachDelMapper.deleteBisHachDelByGuids(guids);
    }
}
